Subject: 29.0.50; Docstring in Help vs. Customize buffer
From: Arash Esbati <[email-masked]>
To: emacs-bugs <[email-masked]>
Date: Sat, 11 Jun 2022 12:16:48 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,

I see a mismatch between the docstring of a custom variable shown in the
Help buffer and in the Customize buffer.  To reproduce:

  • emacs -Q
  • M-x load-library RET whitespace RET
  • C-h v whitespace-action RET
  • Look at the docstring which look Ok
  • Hit the customize button which looks like this

Note the extra indentations after nil and autocleanup.

I don't use customize very often so this is the first time I'm seeing
this.  This is with Emacs 29 from master (0fd60451bc).

Best, Arash